﻿/* アコーディオンの外枠の隙間を一定にする */
.faq-item {
    margin-bottom: 0px !important; /* 各質問の間の隙間を固定 */
    display: block !important;
    clear: both; /* 前後の回り込みを完全に解除 */
}
.faq-answer-container {
  height: 0;
  overflow: hidden;
  transition: height 0.6s ease-in-out; /* ここでゆっくり動かす */
}

.faq-question-btn {
    cursor: pointer;
    padding: 5px 15px;
    border-bottom: 10px solid #ebf6f7;
    /* font-weight: bold; */
    background: #fff;
    background-color: #fdeee6;
    margin: 0px 10px 0px 10px;
}

.faq-answer-content {
    padding: 0px 15px 15px 40px;
    background-color: #ebf6f7;
    margin: 0px 10px 0px 10px;
    cursor: pointer; /* これを追加すると、Aのエリアでも指マークが出ます */
    transition: height 0.5s ease-in-out !important;
    display: block !important;
    /*overflow: hidden !important;  中身がはみ出さないように */
}
/* 閉じている状態のスタイル */
.faq-answer-container.is-closed {
    height: 2em !important; /* 強制的に1行分の高さにする */
    overflow: hidden !important;
    position: relative;
    margin: 0px 10px 0px 0px;
    padding: 0 20px 0 0;
}

/* 1行目の末尾に「...続きを読む」を浮かせる */
.faq-answer-container.is-closed::after {
    content: "...続き　";
    position: absolute;
    bottom: 0;
    right: 0;
    background: linear-gradient(to right, rgba(255,255,255,0), #ebf6f7 20%); /* 背景を白くして文字を重ねる*/
    padding-left: 30px;
    color: #a9a9a9;
    /*font-weight: bold;*/
    font-size: 1.2em;
    pointer-events: none; /* 下にあるクリックイベントを邪魔しない */
}
